ixgbe(1)

NAME
ixgbe -This file describes the Linux* Base Driver for the 10 Gigabit Family of Adapters.

SYNOPSIS
modprobe ixgbe [<option>=<VAL1>,<VAL2>,...]

DESCRIPTION
This driver supports the 2.6.x kernel, and includes support for any Linux supported system, including Itanium(R)2, x86_64, i686, and PPC

This driver is only supported as a loadable module at this time. Intel is not supplying patches against the kernel source to allow for static linking of the driver. For questions related to hardware requirements, refer to the documentation supplied with your 10 Gigabit adapter. All hardware requirements listed apply to use with Linux.

OPTIONS
The following optional parameters are used by entering them on the command line with the modprobe or insmod command. For example:

    modprobe ixgbe InterruptThrottleRate=16000,16000

RSS - Receive Side Scaling (or multiple queues for receives)

    Valid Range: 0 - 16
    Default Value: 1

    0 = disables RSS 1 = enables RSS and sets the descriptor queue count to 16 or the number of online cpus, whichever is less. 2-16 = enables RSS, with 2-16 queues

    RSS also effects the number of transmit queues allocated on 2.6.23 and newer kernels with CONFIG_NET_MULTIQUEUE set in the kernel .config file.

    NOTE: The RSS parameter has no effect on 82599-based adapters unless the FdirMode parameter is simultaneously used to disable Flow Director. See Intel(R) Ethernet Flow Director section in readme for more detail.

MQ - Multi Queue

Valid Range: 0, 1

    Default Value: 1

    0 = Disables Multiple Queue support 1 = Enabled Multiple Queue support (a prerequisite for RSS)

DCA - Direct Cache Access

    Valid Range: 0, 1

    Default Value: 1 (when IXGBE_DCA is enabled) 0 = Disables DCA support in the driver 1 = Enables DCA support in the driver

    See the instructions in the README for enabling DCA. If the driver is enabled for DCA this parameter allows load-time control of the feature.

IntMode

    Valid Range: 0-2 0 = Legacy Int, 1 = MSI and 2 = MSIX
    Default Value: 2

    IntMode controls allow load time control over the type of interrupt registered for by the driver. MSI-X is required for multiple queue support, and some kernels and combinations of kernel .config options will force a lower level of interrupt support. 'cat /proc/interrupts' will show different values for each type of interrupt.

InterruptThrottleRate

    Valid Range: 956-488281 (0=off, 1=dynamic)
    Default Value: 1

    Interrupt Throttle Rate (interrupts/sec)
    The ITR parameter controls how many interrupts each interrupt vector can generate per second. On MQ/RSS enabled kernels with MSI-X interrupts this means that each RX vector can generate (by default) 8000 interrupts per second and each TX vector can generate (by default) 4000 interrupts per second. Increasing ITR lowers latency at the cost of increased CPU utilization, though it may help throughput in some circumstances.
    1 = Dynamic mode attempts to moderate interrupts per vector while maintaining very low latency. This can sometimes cause extra CPU utilization. If planning on deploying ixgbe in a latency sensitive environment please consider this parameter.
    0 = Setting InterruptThrottleRate to 0 turns off any interrupt moderation and may improve small packet latency, but is generally not suitable for bulk throughput traffic due to the increased cpu utilization of the higher interrupt rate. Please note that on 82599-based adapters, disabling InterruptThrottleRate will also result in the driver disabling HW RSC. On 82598-based adapters, disabling InterruptThrottleRate will also result in disabling LRO (Large Receive Offloads).

LLIPort

    Valid Range: 0-65535
    Default Value: 0 (disabled)

    LLI is configured with the LLIPort command-line parameter, which specifies which TCP port should generate Low Latency Interrupts. For example, using LLIPort=80 would cause the board to generate an immediate interrupt upon receipt of any packet sent to TCP port 80 on the local machine.

    WARNING: Enabling LLI can result in an excessive number of interrupts/second that may cause problems with the system and in some cases may cause a kernel panic.

LLIPush

    Valid Range: 0-1
    Default Value: 0 (disabled)

    LLIPush can be set to be enabled or disabled (default). It is most effective in an environment with many small transactions. NOTE: Enabling LLIPush may allow a denial of service attack.

LLISize

    Valid Range: 0-1500
    Default Value: 0 (disabled)

    LLISize causes an immediate interrupt if the board receives a packet smaller than the specified size.

LLIEType

    Valid Range: 0-x8fff
    Default Value: 0 (disabled)

    Low Latency Interrupt Ethernet Protocol Type.

LLIVLANP

    Valid Range: 0-7
    Default Value: 0 (disabled)

    Low Latency Interrupt on VLAN priority threshold.

FdirMode

    Valid Range: 0-2 (0=off, 1=ATR, 2=Perfect filter mode)
    Default Value: 1

    Flow Director filtering modes.

FdirPballoc

    Valid Range: 0-2 (0=64k, 1=128k, 2=256k)
    Default Value: 0

    Flow Director allocated packet buffer size.

AtrSampleRate

    Valid Range: 1-100
    Default Value: 20

    Software ATR Tx packet sample rate. For example, when set to 20, every 20th packet, looks to see if the packet will create a new flow.

Node

    Valid Range: 0-n
    Default Value: -1 (off)

    0 - n: where n is the number of NUMA nodes (i.e. 0 - 3) currently online in your system -1: turns this option off

    The Node parameter will allow you to pick which NUMA node you want to have the adapter allocate memory on.

    L2LBen

    Valid Range: 0 = disable, 1 = enable
    Default Value: 1 (enable)

    This parameter controls the internal switch (L2 loopback between pf and vf). By default the switch is enabled.

LRO

    Enable/disable Large Receive Offload. Valid Range: 0(off), 1(on) Default Value: 1

JUMBO FRAMES
The driver supports Jumbo Frames for all adapters. Jumbo Frames support is enabled by changing the MTU to a value larger than the default of 1500. Use the ifconfig command to increase the MTU size. For example, enter the following where <x> is the interface number:

    ifconfig eth<x> mtu 9000 up

    The maximum MTU setting for Jumbo Frames is 16110. This value coincides with the maximum Jumbo Frames size of 16128. This driver will attempt to use multiple page sized buffers to receive each jumbo packet. This should help to avoid buffer starvation issues when allocating receive packets.

SUPPORT
For additional information, including supported adapters, building, and installation, see the README file included with the driver.

For general information and support, go to the Intel support website at:

    http://support.intel.com

If an issue is identified with the released source code on the supported kernel with a supported adapter, email the specific information related to the issue to linux.nics@intel.com.